Bug 486906 - A dollar sign at the end of a user name confuses gnome and latex
A dollar sign at the end of a user name confuses gnome and latex
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2009-02-23 01:02 EST by malcolm
Modified: 2014-03-26 09:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-26 09:47:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description malcolm 2009-02-23 01:02:06 EST
User Manager prevents creation of a user name with an embedded dollar ($), but allows a dollar ($) at the end of the user name. 
When the user name has a $ at the end, many of the gnome configuration tools do not work. For instance if I right click on a panel, the "+ Add To Panel" menu item is greyed out. I think this is because gnome cannot find its configuration files. 
In addition latex gets pretty confused, spits out copious error messages, but never the less seems to produce legal output.
This could all be pretty confusing to a new user, it certainly had me scratching my head for a while (thanks sys-admin).

Version-Release number of selected component (if applicable):
FC-10 with all updates as of Feb-22. rpm -q reports

How reproducible:

Steps to Reproduce:
1. Create a new user account using system-config-users with a username ending in a dollar, for instance bar$
2. Switch to the new account
3. Try to add an item to the main panel, or run System->Preferences->Look and Feel->Appearance
Actual results:
As described above

Expected results:
Either $'s should be disallowed at any position in a user name, at least
when created by system-config-users, or gnome and latex should be fixed to accept trailing $'s in user names. I think we can presume that people who are
directly editing passwd know what they are doing.....

Additional info:
I did not check for the effect of any other "special" characters in user names, so it might be worth doing this.
Comment 1 Nils Philippsen 2009-09-03 09:16:22 EDT
Sorry for the late reply. Some background: Samba uses user names ending in "$" for machine accounts. I agree that s-c-users shouldn't let users create such accounts, it probably should ignore them completely (similar to system accounts). I'll change this to Rawhide and mark it as FutureFeature for now because I don't know if I'll get around to this before F-12.
Comment 2 Nils Philippsen 2009-12-16 09:06:23 EST
Fixed upstream in 9e056bfadfc2e5164163e95393897ea9bdd5a6cd and 2660fa4783fc54d4b83b1d280b7f9e8577b8d32a.

It warns if a user name has a trailing dollar sign and seeks confirmation that the account in question is a Samba machine account.
Comment 3 Fedora Update System 2010-03-23 12:30:44 EDT
system-config-users-1.2.95-1.fc13 has been submitted as an update for Fedora 13.
Comment 4 Fedora Update System 2010-04-20 22:24:26 EDT
system-config-users-1.2.96-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jaromír Končický 2014-03-26 09:47:54 EDT
It asks me if it is Samba machine account, so it is fixed and can be closed.

Note You need to log in before you can comment on or make changes to this bug.